Installation de la stack "Plex-Tautulli"
============

Bienvenue sur mon nouveau tutoriel. Celui-ci, je l'espere va vous apprendre à installer Plex et Tautulli simplement via docker.

Cette stack docker-compose contient les logiciels suivants :
| Nom du service | Site Officiel | Dépot utilisé* |
| ------ | ------ | ------ |
| Plex |  | [Linuxserver](https://github.com/linuxserver/docker-plex) |
| Tautulli |  | [Linuxserver](https://github.com/linuxserver/docker-tautulli) |

## Table des matières 
- 1. [Prérequis](#1-prérequis)
  - 1.a [Création des dossiers](#1-a-création-des-dossiers)
  - 1.b [Modifications du .env](#1-b-modifications-du-env)
  - 1.c [Transfert des fichiers dans /plex_tautulli](#1-c-transfert-des-fichiers-dans-plex-tautulli)
- 2. [Création des conteneurs](#2-création-des-conteneurs)
  - 2.a [Création du réseau](#2-a-création-du-réseau)
  - 2.b [Création des conteneurs](#2-b-création-des-conteneurs)
- 3. [Les Bases](#3-les-bases)
  - 3.a [Commandes de bases ( Docker )](#3-a-commandes-de-bases-docker)
  - 3.b [Accès aux interfaces ( WebUI )](#3-b-accès-aux-interfaces-webui)
- 4. Dépannage ( Ce construira au fur et a mesure des questions )

## 1. Prérequis

- Cette stack est concu pour fonctionner dans un dossier `plex_tautulli`, avec l'architecture suivante :
```
plex_tautulli -------- plex ------- config
                   |
                   |-- tautulli --- config
```

- Dans le paragraphe 1.a nous allons les créer avec une ligne de commande, et dans le paragraphe 1.b nous allons modifier le .env afin qu'il utilise bien ces dossiers ( en fonction de leurs localisation sur votre machine ).

### 1.a. Création des dossiers

- Avec `cd` aller dans le dossier de votre choix, par exemple "docker".
Exemple : Si votre dossier "docker" ce trouve dans /volume1, alors la commande sera :
`cd /volume1/docker`

- Maintenant que nous sommes dans le bon dossier, nous allons executer la commande suivante pour créer d'un coup, toute l'architecture nécessaire :

`mkdir -p plex_tautulli/plex/config plex_tautulli/tautulli/config`

### 1.b. Modifications des .env
- Récupérer sur votre machine les fichiers [.env](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/src/branch/master/docker-compose/plex-tautulli/.env) et [docker-compose.yml](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/src/branch/master/docker-compose/plex-tautulli/docker-compose.yml).

> Vous pouvez faire un clic droit - Enregistrer sous ... sur les liens ci-dessus pour télécharger les fichiers.

- Dans le fichier `.env` vous allez devoir modifier plusieurs chose :

**PUID et PGID** devront correspondre aux ID de votre utilisateurs, plus d'info ici : [Connaitre le PUID / PGID d'un utilisateur](https://www.forum-nas.fr/viewtopic.php?f=56&t=13213)

**RACINE** correspond au chemin vers le dossier plex_tautulli créé a l'étape 1.a. 
Dans ce cas, c'est : `/volume1/docker/plex_tautulli`

**DATA** correspond au chemin vers votre dossiers de médias.
Dans ce cas, c'est : `/volume1/data`


### 1.c Transfert des fichiers dans /plex_tautulli
- Une fois les modifications effectuées, il faut transfert tous les fichiers ( .env et docker-compose.yml ) dans le dossier `/plex_tautulli` précédemment créé ! Par exemple, avec FileZilla.

## 2. Création des conteneurs
### 2.a Création du réseau
- On créé le reseau `plex_tautulli_network` necesaire au fonctionnement du conteneurs VPN :

```
docker network create plex_tautulli_network
```

### 2.b Création des conteneurs
Maintenant que votre "stack" est prete rendez-vous dans le dossier `plex_tautulli`, dans mon cas `/volume1/docker/plex_tautulli` :
```
cd /volume1/docker/plex_tautulli
```

## 3. Les Bases
Il est possible d'utilise n'importe qu'elle interface de gestion de conteneur*, ou SSH.

Voici quelques commandes de base :

**[Portainer](https://www.forum-nas.fr/viewtopic.php?f=56&t=14030) par exemple.*

### 3.a Commandes de bases ( Docker )
- Arreter un conteneur : `docker stop <nom_du_conteneur>`
Exemple pour le conteneur **plex** : `docker stop plex`

- Redémarrer un conteneur : `docker restart <nom_du_conteneur>`
Exemple pour le conteneur **plex** : `docker restart plex`

- Démarrer un conteneur : `docker start <nom_du_conteneur>`
Exemple pour le conteneur **plex** : `docker start plex`

- Supprimer un conteneur : `docker rm <nom_du_conteneur>`
Exemple pour le conteneur **plex** : `docker rm plex`

- Créer / Mettre à jour la "stack" : `docker-compose up -d`
Cette commande permet de créer la stack présent dans le fichier docker-compose.yml, les conteneurs non-existant seront créés, les modifiés seront mis à jour. 
> Note : Vous devez etre dans la dossier contenant le fichier docker-compose.yml pour que cette commande fonctionne.

### 3.b Accès aux interfaces ( WebUI )

- L'acces à chaque service se fait via une WebUI ( Interface Web ), sur un port quil lui est propre.
- Pour Plex, c'est le port `32400`. Donc l'adresse sera sous la forme : `http://IP_DE_LA_MACHINE:32400`
Exemple : Si l'adresse IP de votre machine est `192.168.1.10`, alors l'adresse d'accès sera : `http://192.168.1.10:32400`

- Ci-dessus la liste des ports des interfaces de chaque service :
| Service | Port |
| ------ | ------ |
| Plex | 32400 |
| Tautulli | 8181 |

## 6. Dépannage
A VENIR ...

